> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/rtb/fr/editeurs/exoclick-rtb/bid-response.md).

# Réponse à l'enchère ExoClick RTB

La page suivante décrit les réponses que vous devez vous attendre à recevoir des requêtes RTB ExoClick :

## Objet de réponse à l'enchère

La réponse d'enchère RTB ExoClick est effectuée au format JSON et XML.

| Attribut    | Description                                                                                                                                               |
| ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id          | ID de l'objet auquel cette enchère s'applique (chaîne)                                                                                                    |
| imgUrl      | URL de l'image (uniquement pour le type banner) (chaîne)                                                                                                  |
| iconUrl     | URL de l'icône (uniquement pour le type push\_notification et doit avoir les dimensions demandées) (chaîne)                                               |
| clickUrl    | URL de redirection lorsque la campagne est cliquée (pour le type banner ou push\_notification) (chaîne)                                                   |
| nUrl        | URL de notification de gain (chaîne)                                                                                                                      |
| url         | URL de redirection lorsque la campagne est cliquée (uniquement pour le type popunder) (chaîne)                                                            |
| title       | Titre de l'annonce (uniquement pour le type push\_notification) (chaîne)                                                                                  |
| description | Description de l'annonce (uniquement pour le type push\_notification) (chaîne)                                                                            |
| value       | Prix de l'enchère en CPM (nombre flottant)                                                                                                                |
| btype       | Modèle de tarification. Valeurs : 1 = CPM, 2 = CPC. Par défaut = 1 (entier). Lorsque la réponse concerne une requête de zone Email Clicks, 1 = Smart CPC. |

**Remarques :**

* `"id"` attribut doit correspondre au **« id reçu dans la requête »**.
* **Push Notification** le format publicitaire peut recevoir des enchères avec le modèle de tarification CPC. **Lien direct** format peut également, lorsqu’il est utilisé pour **Clic e-mail** requêtes de zone.

## Notification de gain

Lorsque le paramètre **Objet de réponse d'enchère > nUrl** est présent dans la réponse d'enchère, une requête GET doit être effectuée vers cette URL.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/rtb/fr/editeurs/exoclick-rtb/bid-response.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
